// Copyright 2020 Thomas Hintz
//
// This file is part of the Alpha Centauri Farming project.
//
// The Alpha Centauri Farming project is free software: you can
// redistribute it and/or modify it under the terms of the GNU General
// Public License as published by the Free Software Foundation, either
// version 3 of the License, or (at your option) any later version.
//
// The Alpha Centauri Farming project is distributed in the hope that
// it will be useful, but WITHOUT ANY WARRANTY; without even the
// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
// PURPOSE.  See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with the Alpha Centauri Farming project.  If not, see
// <https://www.gnu.org/licenses/>.

import TractorImg from './../../../assets/img/tractor-offset.svg'
import TractorAndSpikesImg from './../../../assets/img/tractor-offset-and-spikes.svg'
import TractorSpikesImg from './../../../assets/img/tractor-spikes-offset.svg'

import React, { Fragment } from 'react'

export default class Tractor extends React.Component {
    render() {
        return (
            <Fragment>
              <div className={'tractor ' + (this.props.className ? this.props.className : '')}>
                <img src={this.props.spikes ? TractorImg : TractorAndSpikesImg} />
              </div>
              {this.props.spikes ? (
                  <div className='tractor spikes'>
                    <img src={TractorSpikesImg} />
                  </div>
              ) : (<Fragment />)}
            </Fragment>
        );
    }
}
